Bug 197427 - No sound with software mixing (snd-intel8x0)
No sound with software mixing (snd-intel8x0)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
5
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-01 04:37 EDT by Ilpo Nyyssonen
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-25 04:12:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
scsound.log from the last system-config-soundcard run (13.68 KB, text/plain)
2006-07-01 04:37 EDT, Ilpo Nyyssonen
no flags Details

  None (edit)
Description Ilpo Nyyssonen 2006-07-01 04:37:22 EDT
I only try to get sound via the optical output to my amplifier.

Steps to Reproduce:

1. system-config-soundcard
2. Normal setup: select iec958, software mixing not disabled
3. Play: no sound, press yes to the question anyway, close
4. aplay /usr/share/system-config-soundcard/sound-sample.wav -> no sound
5. system-config-soundcard
6. iec958, disabled software mixing
7. Play: no sound, press yes to the question anyway, close
8. aplay /usr/share/system-config-soundcard/sound-sample.wav -> SOUND!
Comment 1 Ilpo Nyyssonen 2006-07-01 04:37:23 EDT
Created attachment 131836 [details]
scsound.log from the last system-config-soundcard run
Comment 2 Martin Stransky 2006-07-25 04:12:38 EDT
It should be fixed in FC6, please reopen if not.
Comment 3 Ilpo Nyyssonen 2006-07-29 07:29:54 EDT
So what is the problem?
How can I get a fix to FC5?
Does something like getting a new alsa-lib or kernel help?
Or is there a patch somewhere?
Comment 4 Martin Stransky 2006-07-31 00:51:37 EDT
A patch and/or package for FC5 isn't available, it should be fixed in FC6test2.
Comment 5 Ilpo Nyyssonen 2006-07-31 01:22:09 EDT
So can you at least give some information about the problem so that I can try to
get it working without installing FC6test2?

Maybe a bug report in alsa side?
Comment 6 Martin Stransky 2006-07-31 01:33:53 EDT
If you want to use s-c-s for configuring your card, you have to use
alsa-lib/alsa-utils/system-config-soundcard packages from devel (rawhide).

(The best way is download them as src.rpm and rebuild them with rpmbuild
--rebuild package.src.rpm)

And you definitely should have alsa-lib-1.0.12rc1 or later. This bug is a
problem with alsa-lib (with configuration files located in /etc/alsa)
Comment 7 Ilpo Nyyssonen 2006-07-31 12:50:41 EDT
Thanks. After rebuilding alsa-lib, alsa-utils, cairo, pycairo and
system-config-soundcard from development it at least is able to configure it and
play the sample.

But I have to say that the sound is not correct:

 * Playing several oggs at a time does not work like it should. Instead of
getting properly mixed sound, the first sound somehow changes.
 * It plays the oggs too fast. ogg123 says that it is 44100 Hz, my amplifier
says it is 44.1 kHz, but it plays it too fast. I can workaround this by using
the alsa rate plugin to convert it to 48000 Hz.
Comment 8 Martin Stransky 2006-08-01 01:26:04 EDT
Could you check it in aplay? It may be a problem in ogg123.
Comment 9 Ilpo Nyyssonen 2006-08-02 10:37:14 EDT
Also aplay plays too fast. My kernel currently is 2.6.17-1.2157_FC5smp.
Comment 10 Martin Stransky 2006-08-08 03:25:02 EDT
(In reply to comment #9)
> Also aplay plays too fast. My kernel currently is 2.6.17-1.2157_FC5smp.

Please check the latest ALSA drivers (http://people.redhat.com/stransky/alsa/)
and/or report your problem to ALSA upstream (www.alsa-project.org)

Note You need to log in before you can comment on or make changes to this bug.